Skip to content
Start here

Start Cache Reserve Clear

client.cache.cacheReserve.clear(CacheReserveClearParams { zone_id, body } params, RequestOptionsoptions?): CacheReserveClearResponse { id, start_ts, state, 2 more }
POST/zones/{zone_id}/cache/cache_reserve_clear

You can use Cache Reserve Clear to clear your Cache Reserve, but you must first disable Cache Reserve. In most cases, this will be accomplished within 24 hours. You cannot re-enable Cache Reserve while this process is ongoing. Keep in mind that you cannot undo or cancel this operation.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings WriteZone Write
ParametersExpand Collapse
params: CacheReserveClearParams { zone_id, body }
zone_id: string

Path param: Identifier.

maxLength32
body: unknown

Body param

ReturnsExpand Collapse
CacheReserveClearResponse { id, start_ts, state, 2 more }

You can use Cache Reserve Clear to clear your Cache Reserve, but you must first disable Cache Reserve. In most cases, this will be accomplished within 24 hours. You cannot re-enable Cache Reserve while this process is ongoing. Keep in mind that you cannot undo or cancel this operation.

ID of the zone setting.

start_ts: string

The time that the latest Cache Reserve Clear operation started.

formatdate-time
state: State

The current state of the Cache Reserve Clear operation.

One of the following:
"In-progress"
"Completed"
end_ts?: string

The time that the latest Cache Reserve Clear operation completed.

formatdate-time
modified_on?: string | null

Last time this setting was modified.

formatdate-time

Start Cache Reserve Clear

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.cache.cacheReserve.clear({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
  body: {},
});

console.log(response.id);
{
  "errors": [],
  "messages": [],
  "result": {
    "id": "cache_reserve_clear",
    "start_ts": "2023-10-02T10:00:00.12345Z",
    "state": "In-progress"
  },
  "success": true
}
{
  "errors": [
    {
      "code": 1152,
      "message": "Turn off Cache Reserve sync to proceed with deletion."
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
Returns Examples
{
  "errors": [],
  "messages": [],
  "result": {
    "id": "cache_reserve_clear",
    "start_ts": "2023-10-02T10:00:00.12345Z",
    "state": "In-progress"
  },
  "success": true
}
{
  "errors": [
    {
      "code": 1152,
      "message": "Turn off Cache Reserve sync to proceed with deletion."
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}